-- Deploy camper:order_services_carousel to pg
-- requires: schema_camper
-- requires: roles
-- requires: services_carousel

begin;

set search_path to camper, public;

create or replace function order_services_carousel(positions integer[]) returns void as
$$
	update services_carousel
	set position = cast(temp.position as integer)
	from unnest(positions) with ordinality as temp(media_id, position)
	where services_carousel.media_id = temp.media_id
	;
$$
	language sql
;

revoke execute on function order_services_carousel(integer[]) from public;
grant execute on function order_services_carousel(integer[]) to admin;

commit;
